# -*- rpm-spec -*-
# $Id: pilot-link,v 1.26 2002/10/15 17:53:27 ab Exp $
%define force_ac_25 1 
%undefine prerelease

%def_without tcl
%def_with python
%def_disable static

Name: pilot-link
Version: 0.12.3
%ifdef prerelease
Release: alt0.pre%prerelease.1.1
%else
Release: alt1.1
%endif

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Summary: File transfer utilities between Linux and PalmPilots
Group: Communications
License: GPL
URL: http://www.gnu-designs.com/pilot-link/

%ifdef prerelease
Source: http://www.pilot-link.org/source/%name-%version-pre%prerelease.tar.bz2
%else
Source: http://www.pilot-link.org/source/%name-%version.tar.bz2
%endif

BuildRequires: gcc-c++ gcc-c++-common glibc-devel-static libncurses-devel libreadline-devel libstdc++-devel zlib-devel libpng-devel perl-devel libusb-devel libpopt-devel libbluez-devel

%if_with tcl
BuildRequires: tcl-devel tk
%endif

%if_with python
BuildRequires: python-devel
%endif

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your Operating System.

%package -n lib%name
Summary: Shared libraries to use pilot-link
Group: System/Libraries
License: LGPL
PreReq: %_sysconfdir/udev/rules.d

%description -n lib%name
Shared libraries needed to use pilot-link.

%package -n lib%name-devel
Summary: PalmPilot development files
Group: Development/C
License: LGPL
Requires: lib%name = %version-%release
Requires: libusb-devel
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n lib%name-devel
This package contains the header and other files that are necessary to build
applications that use pilot-link suite.

You'll need to install libpilot-link-devel if you want to develop
PalmPilot synchronizing applications.

%if_enabled static
%package -n lib%name-devel-static
Summary: PalmPilot development files
Group: Development/C
License: LGPL
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version-%release

%description -n lib%name-devel-static
This package contains the static libraries that are necessary to build
applications that use pilot-link suite statically.

You'll need to install libpilot-link-devel-static if you want to develop
PalmPilot synchronizing applications that will use static pilot-link libs.
%endif

%package -n pilot-debug
Summary: Programs to interact with Palm debug monitor.
Group: Development/Other

%description -n pilot-debug
This package contains utilities that provide command line and
graphical interfaces to the Palm debug monitor.

%package -n perl-%name
Summary: Pilot-link perl bindings
Group: Development/Other

%description -n perl-%name
This package contains pilot-link perl bindings.

%if_with python
%package -n python-module-%name
Summary: Pilot-link python bindings
Group: Development/Other

%description -n python-module-%name
This package contains pilot-link python bindings.
%endif

%prep
%ifdef prerelease
%setup -q -n %name-%version-pre%prerelease
%else
%setup -q
%endif

%build
%__autoreconf

%configure \
	--enable-conduits \
	--enable-threads \
	--enable-libusb \
%if_with python
	--with-python \
%endif
	--with-perl \
	%{subst_enable static } \
%if_with tcl
	--with-tcl=%_libdir \
%endif
	--with-libpng

%__make all

%install
%make_install DESTDIR=%buildroot install
# mandir1='$(mandir)/man1' mandir7='$(mandir)/man7' INSTALL="./libtool /usr/bin/install -p"

mkdir -p %buildroot%_sysconfdir/udev/rules.d
install -p -m644 doc/60-libpisock.rules %buildroot%_sysconfdir/udev/rules.d/75-lib%name.rules

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
#%_bindir/addresses
%_bindir/pilot-dlpsh
%_bindir/pilot-hinotes
#%_bindir/install-*
%_bindir/pilot-memos
#%_bindir/money2qif
%_bindir/pilot-csd
%_bindir/pilot-getram
%_bindir/pilot-getrom
%_bindir/pilot-getromtoken
%_bindir/pilot-nredir
%_bindir/pilot-addresses
%_bindir/pilot-reminders
#%_bindir/pilot-archive
%_bindir/pilot-clip
#%_bindir/pilot-datebook
%_bindir/pilot-dedupe
%_bindir/pilot-file
%_bindir/pilot-foto
#%_bindir/pilot-prc
%_bindir/pilot-schlep
%_bindir/pilot-xfer
%if_with tcl
%_bindir/pitclsh
%endif
#%_bindir/read-*
%_bindir/pilot-install-*
%_bindir/pilot-read-*
%_bindir/pilot-sync-plan
%_bindir/pilot-ietf2datebook
%_bindir/pilot-undelete
%_bindir/pilot-wav
#%_bindir/sync-plan
%_datadir/%name
%_mandir/*/*
%doc ChangeLog NEWS AUTHORS doc/*

%files -n lib%name
%_sysconfdir/udev/rules.d/*
%_libdir/libpisock.so.*
%_libdir/libpisync.so.*
%if_with tcl
%_libdir/libpitcl*.so.*
%endif

%files -n lib%name-devel
%_datadir/aclocal/*
%_libdir/libpisock.so
%_libdir/libpisync.so
#%_libdir/libpisock++.so
%if_with tcl
%_libdir/libpitcl*.so
%endif
%_includedir/*
%_pkgconfigdir/pilot-link.pc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n pilot-debug
%_bindir/pilot-debugsh

#%files examples
#%_bindir/ccexample

%files -n perl-%name
%perl_vendor_archlib/PDA
%perl_vendor_autolib/PDA

%if_with python
%files -n python-module-%name
%python_sitelibdir/*pisock*
%endif

%changelog
* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.12.3-alt1.1
- Rebuilt with python-2.5.

* Tue Dec 04 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.12.3-alt1
- 0.12.3 release.

* Thu Apr 12 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.12.2-alt2
- Backport fix for .m4 files from CVS HEAD.

* Tue Feb 13 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.12.2-alt1
- 0.12.2 release.

* Fri Oct 20 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.12.1-alt2
- Merged fixes by raorn@:
  + Fix udev rules.
  + Changed group "dialout" to "uucp". Rule file prioroty raized to
	75 (70-permissions.rules will drop it ,suggested by vsu@).
  + Moved rule file to libpilot-link package and made it "%%config".
  + Changed BUS && ACTION condition to SUBSYSTEM || ACTION
	(suggested by vsu@). 
  + PreReq on %_sysconfdir/udev/rules.d/, do not provide it.

* Sun Oct 01 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.12.1-alt1
- New version: 0.12.1 "Fresh Air". 

* Mon Jun 05 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.12.0-alt0.pre4.1
- New version: 0.12.0-pre4 "Anoxia".
- Some spec cleanup.
- Removed examples subpackage.
- Added perl and python bindings subpackages.
- Building without tcl as it's borken for now.
- Added libusb-devel to BuildRequires, enabling libusb support.
- Added libpopt-devel to BuildRequires, using system popt for now.
- %%files changes compared to previous build in pilot-link package:
  - %%_bindir/addresses
  - %%_bindir/money2qif
  - %%_bindir/pilot-archive
  - %%_bindir/pilot-datebook
  - %%_bindir/pilot-prc
  - %%_libdir/libpisock++*
  + %%_bindir/ietf2datebook
  + %%_bindir/pilot-treofoto
  + %%_bindir/pilot-undelete
  + %%_bindir/pilot-wav
  + %%_bindir/sync-plan

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11.8-alt1.1.1
- Rebuilt with libreadline.so.5.

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11.8-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Jan 25 2004 Anatoly Yakushin <jaa@altlinux.ru> 0.11.8-alt1
- new version, delete static lib


* Thu Oct 24 2002 AEN <aen@altlinux.ru> 0.11.5-alt3
- added missing libpisock++.so.*

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 0.11.5-alt2
- added missing libpisync.so.*

* Tue Oct 15 2002 Alexander Bokovoy <ab@altlinux.ru> 0.11.5-alt1
- 0.11.5
- new maintainer
- Removed:
    + Tcl, Perl, Python bindings removed due their unmaintained state

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.9.5-ipl12mdk
- rebuilt with tcl 8.4

* Thu Jul 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl11mdk
- Rebuild with terminfo
- Fixed buildrequires

* Fri Jun 14 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.9.5-ipl10mdk
- rebuilt in new env

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl9mdk
- Fixed .libs tcl patch
- Added some MDK patches

* Wed Aug 15 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl8mdk
- Fixed file lists - moved some perl programs from pilot-link to perl-PDA-pilot

* Sat Aug 11 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.5-ipl7mdk
- Removed the most ugly Perl hacks
- Moved scripts from perl-PDA-Pilot to the main package
- Segregated pilot-debug and examples
- Corrected pixdir patch
- LGPL license for libraries and bindings
- Explicitly disable python bindings to slash off build dependencies
- Excluded libpitcl development files since no external package would care

* Fri Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.5-ipl6mdk
- Release 0.9.5 version
- Added perl patch
- Added perl-PDA-Pilot & pilot-link-tcl packages
- Some spec cleanup
- Fixed buildrequires

* Thu May 17 2001 AEN <aen@logic.ru> 0.9.5-ipl5mdk
- new prerelease

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.5-ipl2mdk
- Specfile cleanup.
- Relibification.

* Wed Jan 24 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.9.5-ipl1mdk
- Fixed broken build

* Sat Dec 16 2000 AEN <aen@logic.ru>
- adopted for RE

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.2mdk
- Rebuild with last stdlibc++
- Split lib package

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.1mdk
- Release 0.9.5-pre3

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-15mdk
- Remove pilot-bug since it is unusefull and bring tcltk dependences.

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-14mdk
- Move perl part to its own package (which was preventing bootstrapping of package)

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-13mdk
- merge Alpha diff from Stefan van der Eijk

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-12mdk
- BM + macroszification

* Wed May 17 2000 David BAUENS <baudens@mandrakesoft.com> 0.9.3-11mdk
- Fix build for i486

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-10mdk
- fix group

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.9.3-9mdk
- cleanup
- patch for perl 5.6
- rebuild for new readline

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-8mdk
- Fix group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-7mdk
- libtoolize --force.

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Fixes sync-plan
- Fixed spec to build and install perl modules

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.3.
- Fix building as user.
- Rewrote spec.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- %post / %postun: make -p

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl
